Port-amd64 archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: troubles with grub using amd64

On Thu, Jun 12, 2008 at 08:05:43AM -0700, Michael Litchard wrote:
> When I try to install grub, I get this error
> /usr/pkg/sbin/grub: 1: Syntax error: "(" unexpected
> I have the following libraries installed
> netbsd32_compat40-extras-4.0 Additional shared libraries for NetBSD
> 32-bit 4.0 compatibility
> netbsd32_compat40-4.0 Shared libraries for NetBSD 32-bit 4.0  compatability
> I use GENERIC, which seems to have the relevant options on.
> I brought this problem to netbsd-users%netbsd.org.@localhost They suggested I
> bring it to you.
> I can provide a ktrace, if it will help.

It would probably help. It looks like the binary either didn't get recognised
as 32bit, or doesn't find its libraries.

Manuel Bouyer <bouyer%antioche.eu.org@localhost>
     NetBSD: 26 ans d'experience feront toujours la difference

Home | Main Index | Thread Index | Old Index